Download File
Download a communication thread attachment as raw binary data. To download the data, first retrieve the communication thread messages using Get Case Communication Thread. Each message includes an attachments array. Copy the file_id value of the attachment that you want to download and use it in the request.
Importante
Wait for the response of a download request before initiating the next download request. Do not run download requests concurrently.
file_id
The identifier of the attachment to download. Obtain it from the
attachmentsarray of a message. See also response in Get Case Communication Thread.
thread_token
The unique token of the communication thread. String starting with comm_ . Appears in the response of Get All Case Communication Threads.
The response body includes the raw binary file data of the file and the following parameters
Content-Type
The actual file type (pdf, png, jpg, csv, etc.). For example, application/pdf.
Content-Type
The original file name. For example, attachment; filename="invoice_july_2026.pdf"
v1/threads/:thread_token/attachment/:file_id/download
Download File
curl -X GET 'https://api.rapyd.net/v1/threads/comm_5eda2b2651d2a9bda22845aff027ca53/attachment/a8dd8e36-d8bb-4a6f-9431-699e6f11952d/download' \ -H 'access_key: your-access-key-here' \ -H 'Content-Type: application/json' \ -H 'salt: your-random-string-here' \ -H 'signature: your-calculated-signature-here' \ -H 'timestamp: your-unix-timestamp-here'
HTTP/1.1 200 OK Content-Type: application/pdf Content-Disposition: attachment; filename="invoice_july_2026.pdf" [binary file data]